"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const fs_1 = require("fs");
const output_1 = __importDefault(require("../../utils/output"));
const util_1 = require("./util");
const jsonPaths = [];
exports.getjsonPaths = () => jsonPaths;
function json(id) {
    const filePath = id.replace(/\.js$/, '.json');
    if (!fs_1.existsSync(filePath)) {
        output_1.default.error(`文件 ${filePath} 不存在`);
        return;
    }
    util_1.pushArray(jsonPaths, filePath);
}
exports.default = json;
